<template>
  <div>
    <vol-box :lazy="true" v-model="showDetial" title="库存明细" :height="420" :width="860" :padding="15">
      <div class="">
        <div>托盘号：{{ PalletCode }}</div>
        <!-- 电芯显示 -->
        <div>
          <table class="mytable" cellspacing="0">
            <tr>
              <th>物料名称</th>
              <th>物料数量</th>
            </tr>
            <tr v-for="materiel in materielList" :key="row">
              <td>
                {{ materiel.materielName }}
              </td>
              <td>
                {{ materiel.quantity }}
              </td>
            </tr>
          </table>
          <div class="tip">共{{ materielList.length }}条</div>
        </div>
      </div>
      <div slot="footer">
        <Button type="error" @click="showDetial = false">关闭</Button>
      </div>
    </vol-box>
  </div>
</template>
<script defer="true">
import VolBox from "@/components/basic/VolBox.vue";

export default {
  components: { "vol-box": VolBox },
  methods: {},
  data() {
    return {
      showDetial: false,
      PalletCode: "",
      materielList: [],
    };
  },
  methods: {

  },
  computed: {},
};
</script>

<style scoped>
.mytable {
  font-size: 13px;
  margin: 10px auto;
  width: 90%;
  text-align: center;
}

.mytable td {
  border-top: 1px solid #ccc;
  padding-top: 2px;
}

.tip {
  float: right;
  font-size: 12px;
  color: #ccc;
  padding-right: 20px;
}
</style>
